Subject: Re: [Tigers] Happy Birthday! (Mark Bradakis)

From: Ramon Spontelli via Tigers <[email-masked]>
Date: Sat, 12 Apr 2025 08:05:32 -0700

<< On April 11th, 1991, team.net became a new domain . . . >>

Mark,

You da MAN!

I remember those days when it was just autox and british-cars.  I think I was using aol back then.  I remember sending funds to the Fat Chance Garage.  And I still have your TEAM.NET RACING stickers that went on the car trailer.

It has been a glorious ride, because of your endless efforts.

Thank you!

Ramon

_______________________________________________

[email-masked]

Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]